// -*- mode:ObjC -*-
#ifndef _INCLUDED_AGSTEX_H
#define _INCLUDED_AGSTEX_H
/**
   <title>AGSTex ... an output class producing TeX for autogsdoc</title>
   Copyright (C) 2001, 2003 Willem Rein Oudshoorn.

   Written by: Willem Rein Oudshoorn <woudshoo@xs4all.nl>
   Created: December 2001

   Updated: Januari 2003
   Updated to comply with the dtd version 1.0 spec and accomodate
   the new GSXMLNode interface.
   
   This file will be part of the GNUstep Project

   
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   You should have received a copy of the GNU General Public
   License along with this program; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
#include <Foundation/GSXML.h>
#include "AGSBackendProtocol.h"
#include "AGSBackend.h"

/**
 *
 * The TeX files produced by this class will need
 * the macro file <code>gsdocmacros.tex</code>.
 *
 * <br />
 *  <strong>References</strong>
 * <br />
 * The naming convention of the references generated with this file
 * are of the form:
 * <em>type</em>**<em>compenent1</em>**<em>compenent2</em>...
 *
 * where the components depend on the type.
 * <list>
 * <item><strong>class</strong>  This reference defines a class. There
 * is only one component and it is the name of the class. </item>
 * <item><strong>protocol</strong>  This referenc defines the
 * protocol.  There is only one component and it is tha name of the
 * protocol. </item>
 * <item><strong>method</strong> There are two components,
 *    <list>
 *    <item>the class where it is defined.</item>
 *    <item>the method name</item>
 *    </list></item>
 * </list>
 */
@interface AGSTex: AGSBackend
{
    NSString *_currentClass;  // Is here because gsdoc does not
                              // contain the information.  This is a
                              // hack, if there are nested classes it
                              // will fail miserably.
}

@end
#endif

